#version 120
#extension GL_EXT_gpu_shader4 : enable

varying vec4 color;

void main()
{
	if( gl_VertexID % 3 == 0 ) {
		gl_Position = vec4(0,0,0,1);
		color = vec4(0,0,float(20 - gl_VertexID / 3) / 20, 1 );
	}
	else {
		int index = (gl_VertexID / 3) + gl_VertexID % 2 - 1;
		float angle = radians( float(index) * 360 / 20 );
		gl_Position = vec4( cos( angle ), sin( angle ), -1.0, 1.0 );
		
		color = vec4(0,1,0,1);
	}
	//color = vec4( (gl_VertexID % 3) / 2.0,0, gl_VertexID / 60.0, 1);
}